%global enable_tests 1
%global srcname commoner

%global commit0 b80aad63cf4df467fbdf7e07b0f0d4b0d95281c3
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        0.10.4
Release:        7%{?dist}
Summary:        Tool for translating any dialect of JavaScript to Node CommonJS modules
License:        MIT
URL:            https://github.com/reactjs/commoner
Source0:        https://github.com/reactjs/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(iconv-lite)
BuildRequires:  npm(mocha)
BuildRequires:  npm(private)
BuildRequires:  npm(q)
BuildRequires:  npm(recast)
BuildRequires:  npm(detective)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules

%nodejs_fixdep commander '2.x'
%nodejs_fixdep glob
%nodejs_fixdep graceful-fs
%nodejs_fixdep iconv-lite '0.x'
%nodejs_fixdep mkdirp '0.x'
%nodejs_fixdep private '0.1.x'
%nodejs_fixdep q '1.x'
%nodejs_fixdep recast '0.x'
%nodejs_fixdep detective


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json main.js lib/ bin/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/commonize \
    %{buildroot}%{_bindir}/commonize

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec test/run.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/commonize

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.10.4-2
- Fixdep detective

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.10.4-1
- Update to new version

* Tue Sep 08 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.10.3-1
- Initial package
